# Uses of Class
java.lang.instrument.IllegalClassFormatException

Packages that use IllegalClassFormatException
Package
Description
java.lang.instrument
Provides services that allow Java programming language agents to instrument programs running on the JVM.

## Uses of IllegalClassFormatException in java.lang.instrument

Methods in java.lang.instrument that throw IllegalClassFormatException
Modifier and Type
Method
Description
`default byte[]`
ClassFileTransformer.`transform​(ClassLoader loader, String className, Class<?> classBeingRedefined, ProtectionDomain protectionDomain, byte[] classfileBuffer)`
Transforms the given class file and returns a new replacement class file.
`default byte[]`
ClassFileTransformer.`transform​(Module module, ClassLoader loader, String className, Class<?> classBeingRedefined, ProtectionDomain protectionDomain, byte[] classfileBuffer)`
Transforms the given class file and returns a new replacement class file.